Cancel a profile setup session
curl --request POST \
--url https://agent.tinyfish.ai/v1/profiles/{profileId}/setup-session/cancel \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"session_id": "br-a1b2c3d4-e5f6-7890-abcd-ef1234567890"
}
'import requests
url = "https://agent.tinyfish.ai/v1/profiles/{profileId}/setup-session/cancel"
payload = { "session_id": "br-a1b2c3d4-e5f6-7890-abcd-ef1234567890" }
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({session_id: 'br-a1b2c3d4-e5f6-7890-abcd-ef1234567890'})
};
fetch('https://agent.tinyfish.ai/v1/profiles/{profileId}/setup-session/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"cancelled": true
}{
"error": {
"code": "INVALID_INPUT",
"message": "Field \"url\" is required and must be a string",
"details": "<unknown>"
}
}{
"error": {
"code": "INVALID_INPUT",
"message": "Field \"url\" is required and must be a string",
"details": "<unknown>"
}
}{
"error": {
"code": "INVALID_INPUT",
"message": "Field \"url\" is required and must be a string",
"details": "<unknown>"
}
}{
"error": {
"code": "INVALID_INPUT",
"message": "Field \"url\" is required and must be a string",
"details": "<unknown>"
}
}Browser Context Profiles
Cancel a profile setup session
Cancels a running Browser Context Profile setup session and discards unsaved setup state. Requires the session_id returned by setup-session.
POST
/
v1
/
profiles
/
{profileId}
/
setup-session
/
cancel
Cancel a profile setup session
Authorizations
API key for authentication. Get your key from the API Keys page.
Path Parameters
Browser Context Profile ID
Minimum string length:
1Example:
"prof_abc123def4567890"
Body
application/json
Minimum string length:
1Example:
"br-a1b2c3d4-e5f6-7890-abcd-ef1234567890"
Response
Cancel a profile setup session succeeded.
Example:
true
Was this page helpful?
⌘I